org.pcollections

## Class HashTreePSet

- java.lang.Object
- - org.pcollections.HashTreePSet

    public final class HashTreePSet
    extends Object

A static convenience class for creating efficient persistent sets.

This class simply creates MapPSets backed by HashTreePMaps.

### Method Summary

Methods
`static <E> MapPSet<E>` `empty()`
`static <E> MapPSet<E>` `from(Collection<? extends E> list)`
`static <E> MapPSet<E>` `singleton(E e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### empty

    public static <E> MapPSet<E> empty()

Type Parameters:
  `E` -
Returns:
  an empty set

#### singleton

    public static <E> MapPSet<E> singleton(E e)

Type Parameters:
  `E` -
Parameters:
  `e` -
Returns:
  empty().plus(e)

#### from

    public static <E> MapPSet<E> from(Collection<? extends E> list)

Type Parameters:
  `E` -
Parameters:
  `list` -
Returns:
  empty().plusAll(map)

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015